summaryrefslogtreecommitdiff
path: root/dev-python/multidict
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-22 18:47:35 -0500
committerCrucible <crucible@localhost>2026-09-22 18:47:35 -0500
commitcde96c5ea0c81397fd3214d455a374f76179a7aa (patch)
tree12c86d59eb88887c244b1145411db084ae5a6c1f /dev-python/multidict
parent47516b9667518dacb1efd6d257f7b3e6a481ec93 (diff)
downloadbaldeagleos-repo-cde96c5ea0c81397fd3214d455a374f76179a7aa.tar.gz
baldeagleos-repo-cde96c5ea0c81397fd3214d455a374f76179a7aa.tar.xz
baldeagleos-repo-cde96c5ea0c81397fd3214d455a374f76179a7aa.zip
Publish baldeagleos-repo candidate 0000000325-20260922-184323
Diffstat (limited to 'dev-python/multidict')
-rw-r--r--dev-python/multidict/Manifest1
-rw-r--r--dev-python/multidict/multidict-6.9.1.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/dev-python/multidict/Manifest b/dev-python/multidict/Manifest
index aadecdbcf49a..384477c57235 100644
--- a/dev-python/multidict/Manifest
+++ b/dev-python/multidict/Manifest
@@ -1,3 +1,4 @@
DIST multidict-6.7.1.gh.tar.gz 120010 BLAKE2B db03d9be850b3d2b042ecaa5484fd692fdb47a626862b57e2b218beeba90ae7b12a5e204bd3fdf20a4a125abf1dffb88c52cfc449c0daa31cfed585a74782a3f SHA512 4009a310dac4732c48cc9654fbd55468dda5a6d18a05ef013ff90b030d3124459620d6d6ae4f85e88ef6cefa0b9bccea1b745f3acbfa0b351eb2c92cc8812b89
DIST multidict-6.8.0.gh.tar.gz 149210 BLAKE2B b8ef7da3fb565110418796c01258a71ba1ae2d8309868193ae6d73cf2c768f759578583c2d4436ca2127618e6a0f45815be259720f5a9f5d732c1968aff3df0b SHA512 1a978331fd0d7deabae84db7710258f5d7956197a2f1b97933fba523631077d732ab42f65e4f43477cc07e60ddd180807b73326ad660e2ba6fd8e9ba5b7f196b
DIST multidict-6.9.0.gh.tar.gz 204284 BLAKE2B 797706fffd07a9486d354bf5c51e5e62df511517cf8b979148af2f3f55fc5fc400f800013f0c77a5ea1fc35ce6b24c69b95531d2ffecadecbe3376311a90e81f SHA512 b6d4a7ba2308c1726cde04213fdbd4b7528de2dcbcffe377660a72bed409d6c9321db99983f8ad717eeaa4ba2b1fcd16f5b0bbe038ed8e6b28c42fb971c2a7ff
+DIST multidict-6.9.1.gh.tar.gz 214750 BLAKE2B 8962c996894570489321e312ea765d9fb2da84817b465adfbf27195b6e383c9bd1b0cfcd9b93f0a2e2824db7a9de070dd47e0ac2c99164fc4818ec52b24ee1e2 SHA512 b3c14370c98a34c03c8aceec54c3f1784c1e294209db8bc5363c3db7ed2836fa8384e1ffceb959597e646ca275f47eaecc82352608863ba60e4fe69dc2a17e36
diff --git a/dev-python/multidict/multidict-6.9.1.ebuild b/dev-python/multidict/multidict-6.9.1.ebuild
new file mode 100644
index 000000000000..de57559badd8
--- /dev/null
+++ b/dev-python/multidict/multidict-6.9.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="multidict implementation"
+HOMEPAGE="
+ https://github.com/aio-libs/multidict/
+ https://pypi.org/project/multidict/
+"
+SRC_URI="
+ https://github.com/aio-libs/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+BDEPEND="
+ test? (
+ dev-python/objgraph[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis )
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't enable coverage or other pytest settings
+ sed -i -e '/cov/d' pytest.ini || die
+ # don't mangle CFLAGS
+ sed -i -e 's/^CFLAGS = .*/CFLAGS = []/' setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ if ! use native-extensions || [[ ${EPYTHON} == pypy3* ]]; then
+ local -x MULTIDICT_NO_EXTENSIONS=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/isolated
+ tests/test_multidict_benchmarks.py
+ tests/test_views_benchmarks.py
+ )
+
+ rm -rf multidict || die
+
+ local cext=--c-extensions
+ if ! use native-extensions || [[ ${EPYTHON} == pypy3* ]]; then
+ cext=--no-c-extensions
+ fi
+ epytest "${cext}"
+}